Subject: bug#78995: [PATCH] ;;;autoload-expand for special macros

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Jul 2025 13:51:09 -0400

>> I've been wanting to add the feature you propose, but this "macro is not
>> defined" has gotten in the way until now.  I think we need to add
>> something like a file-local `autoload-requires-for-macros`.
> How about this solution?  If the car of the following form is not a
> macro (and not a function), attempt to load the file itself (temporarily
> expanding `load-path' to include the file's containing directory).  If
> that fails to define the macro, warn the user, and simply proceed
> without expansion.

I don't think it's good enough.  Many of the use-cases I've bumped into
use macros defined in another file (or even another package).

I think we should aim to provide a mechanism that lets us reduce the
size of the hardcoded list (ideally to nothing).

        Stefan